:root{
    --main-color: rgb(200, 242, 255);
    --color1: rgb(0, 0, 83);
    --bg: rgb(233, 244, 255);
}

body, html{
    background-color: rgb(233, 244, 255);
    font-family: consolas;

    user-select: none;
    scroll-behavior: smooth;

    margin: 0;
}

/* -------------header------------- */

#main-heading{
    background-color: white;
    
}

#heading{
    display: inline-block;

    font-size: 3.5rem;
    font-family:'Times New Roman';

    color: black;

    padding: 0px;
    margin: 0px;

    background-color: white;

    text-shadow: 4px 4px 4px gray;
}

#heading-d{
    display: span;
    flex-direction: row;

    border-bottom: 2px solid black;
}

#heading-d h2{
    margin: 0;
    padding: 5px;

    color: red;
}

#zno{
    font-size: 25px;
    color: red;

    margin-left: 30px;
}

#subheading{
    color: red;
    text-shadow: 0px 0px 2px gray;

    user-select: text;
}

#subheading::selection{
    background-color: gray;
    color: white;
}

#Z{
    font-size: 30px;
    color: black;
}

.items{
    display: flex;
    flex-wrap: wrap;

    justify-content: center;
}

.items li{
    list-style: none;
    text-align: center;
}

.items li a{
    text-decoration: none;

    color: black;
    background-color: white;

    font-family: consolas;
    font-size: 1.5rem;
    font-weight: bold;

    border: 1px solid rgb(224, 224, 224);  
    padding-left: 10px;
    padding-right: 10px;

    transition: all 0.2s;
}

.items li a:hover{
    color:white;
    background-color: rgb(203, 203, 203);
    font-style: italic;
}

.items li a:active{
    color: red;
    background-color: black;
    font-weight: bold;
}

.items li:hover{
    transform: scale(1.2);
}

.items #li9{
    margin-left: 20px;
}

.items #li9:hover{
    transform: scale(1.4);
}

.items #li9 a{
    background-color: rgb(33, 192, 255);
    color: black;
}

.items #li9 a:hover{
    border-color: black;
    border-radius: 20px;

    background-color: rgb(0, 255, 255);
    color:white;

    text-shadow: 0px 0px 2px black;
}

.items #li9 a:hover .fa-paper-plane{
    animation: bounce 1s ease infinite
}

.items #li9 a:active{
    color: red;
}

.navbar{
    background-color: var(--main-color);
}

.fa-paper-plane{
    font-size: 16px;
}

/* -------------silder------------- */

.slide-holder{
    display: flex;
    position: relative;
    overflow: hidden;

    align-items: center;
    justify-content: flex-start;

    height: 50vh;

    z-index: 0;
}

.slide-holder::before{
    content: "";
    position: absolute;
    inset: 0px;

    background-image: url("images/image.png");
    filter: blur(3px);
    z-index: 0;
}

.slides{
    position: relative;

    height: auto;
    width: 15em;

    flex: 0 0 auto;

    border: 10px solid transparent;
    z-index: 1;

    animation: pass-by 8s linear infinite;
}

.slides::before{
    content: "";
    position: absolute;
    inset: 0px;

    z-index: -1;

    width: 100%;
    height:  96%;

    opacity: 0;

    box-shadow: 0px 0px 20px white;
    filter: brightness(200%)
}

.slide-holder:has(.slides:hover) .slides{
    animation-play-state: paused;
}

.slides:hover::before{
    opacity: 1;
}
/* -------------fullScreenImage------------- */

#FSIH{
    display: none;
    position: fixed;

    justify-content: center;
    align-items: center;

    z-index: 10;

    width: 100%;
    height: 100%;

    top: 0;
    left: 0;

    background-color: rgba(0, 0, 0, 0.91);

    overflow: auto;
    inset: 0;
}

#fullScreenImage{
    max-width: 90%;
    max-height: 90%;

    display: block;
    margin: auto;

    object-fit: cover;

    text-align: center;
}
#cross{
    position: absolute;

    top: 0px;
    right: 0px;

    cursor: pointer;
    font-size: 50px;

    z-index: 100;
}

.fa-x{
    position: relative;
    color: white;
    font-size: 30px;
    margin: 10px;
}

.fa-x:hover{
    color: red;
}

/* -------------information------------- */

.info{
    user-select: text;

    flex: 1 0 auto;

    width: 25%;
    height: 100%;

    font-size: 1.3rem;
    color: black;
    background-color: transparent;

    margin: 3rem;

    border: 2px solid black;

    /* text-shadow: 0px 0px 8px black; */
    overflow: auto;
    scrollbar-width: none;

    z-index: 2;
}

.info .about-heading{
    background-color: var(--main-color);
    font-family: verdena;
    font-size: 30px;
    color: var(--color1);
    text-shadow: none;
    font-style: italic;
}

#info-holder{
    position: relative;
    display: flex;
    flex: 1 1 auto;
    flex-wrap: wrap;

    justify-content: space-between;
    align-items: center;

    margin-top: 2rem;
    gap: 3rem;

    background-image: url("images/image.png");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-size: cover;

    z-index: 0;

    height: auto;

    overflow: hidden;
}

#info-holder::before{
    content: "";
    position: absolute;

    height: calc(100% - 60px);
    width: calc(100% - 60px);

    top: 30px;
    left: 30px;

    background-color: white;
    opacity: 0.75;

    overflow: hidden;
    z-index: 1;
}

#about1 {
    padding-bottom: 10%;
}

#about1-span{
    margin: none;
    padding: none;
}

.image{
    width: 100%;
    height: 100%;

    object-fit: cover;
}

#highlight{
    color: red;
}
/* -------------Products & Projects------------- */

#projects-heading{
    display: block;

    background-color: var(--main-color);
    color: var(--color1);
    font-size: 25px;
}

#projects{
    background-color: white;

    font-size: 18px;
    font-family: 'Times New Roman';
}

#projects ul li{
    display: block;
    margin-bottom: 5px;

    background-color: var(--bg);
}

/* -------------offers------------- */

.o-heading{
    display: block;

    font-size: 50px;
    font-family: verdena;
    font-weight: bold;

    margin-bottom: 0px;

    background-color: var(--main-color);
    color: var(--color1);

    text-shadow: 0px 0px 4px black;
}

#offers-holder:hover #qm{
    display: inline-block;
    animation: bounce2 1s linear infinite;
}

.offers{
    display: block;

    width: 100%;

    list-style: none;
    font-size: 20px;
    font-style: italic;

    margin-bottom: 15px;
    margin-left: none;

    background-color: rgba(0, 0, 0, 0.275);
}

.offers .title-offers{
    display: block;

    width: 400px;

    background-color: var(--color1);
    color: white;
    text-shadow: 0px 0px 5px aqua;
    box-shadow: 0px 0px 10px black;

    text-align: center;
    justify-self: center;
}

#li-end{
    display: block;

    font-size: 50px;
    font-weight: bold;
    font-style: none;
    font-family: fantasy;

    color: white;
    background-color: transparent;
    box-shadow: none;
    text-shadow: 0px 0px 10px black;

    justify-self: center;
    text-align: center;
}

.offer{
    display: flex;
    flex-direction: column;
}

.offer .hidden-offers{
    position: absolute;
    pointer-events: none;

    opacity: 0;

    background-color: rgba(0, 0, 0, 0.637);
    color: white;
    font-style: normal;

    text-shadow: none;
    box-shadow: none;

    justify-self: center;
}

.offers:active .hidden-offers{
    opacity: 1;
}

.hold{
    font-size: 14px;
    margin-left: 20px;

    color: white;
    font-style: normal;

    text-shadow: none;
}
/* -------------form------------- */

#booknow{
    display: block;

    font-size: 50px;
    font-family: verdena;
    font-weight: bold;

    color: var(--main-color);
    background-color: var(--color1);

    text-shadow: 0px 0px 4px white;

    margin-bottom: 1rem;
}

.label{
    font-size: 25px;

    color: var(--color1);
}

.error{
    display: block;

    font-size: 18px;
    justify-self: center;
    color: red;
}

.input{
    width: 200px;
    height: 25px;

    font-size: 20px;
    font-style: italic;

    border-radius: 10px;

    color: rgb(0, 102, 255);
    background-color: lightgray;
}

.input::placeholder{
    color: lightgray;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#enquiry-box{
    display: flex;
    flex-wrap: wrap;

    gap: 1rem;
    background-color: white;
    justify-content: center;
}

#submit{
    display: block;
    position: relative;

    text-align: center;

    color: white;
    background-color: var(--color1);

    border: none;
    border-radius: 20px;

    margin-top: 2rem;

    width: 200px;
    height: 50px;

    font-size: 40px;
    font-family: verdena;

    text-align: center;
    justify-self: center;
    margin-bottom: 50px;
}

#submit:hover{
    text-shadow: 0px 0px 10px white;
    transform: scale(1.1);
    animation: color-change 2s linear infinite;
}

#cards{
    display: flex;
    flex-wrap: wrap;
    row-gap: 2rem;

    justify-content: center;
}

.contact-card{
    min-width: 25vh;
    height: 12vh;

    background-color: white;
    box-shadow: 0px 0px 10px gray;

    border-radius: 20px;
    border: 2px solid;

    text-align: center;
    margin-left: 20px;
    padding: 5px;

    user-select: text;
}

.cc-span{
    display: block;

    font-size: 18px;
    margin-bottom: 20px;
    color: red;

    margin-left: 5px;
    margin-top: 5px;
}

#aqsa {
    display: block;

    font-size: 20px;
}

.aqsa{
    margin: 10px;
    background-color: white;
    border: 2px solid black;
}

/* -------------enable-pictures------------- */

.picture{
    display:none;
}

/* -------------animations------------- */

@keyframes bounce {
    50%{transform: scale(1.2)}
}

@keyframes bounce2 {
    50%{transform: scale(1.5)}
}

@keyframes pass-by {
    0%{transform: translateX(0%)}
    100%{transform: translateX(-700%)}
}

@keyframes up-down {
    50%{transform: translateY(100%)}
}

@keyframes wiggle {
    0%{transform: rotateZ(45deg)}
    100%{transform: rotateZ(-45deg)}
}

@keyframes color-change{
    100%{filter:hue-rotate(360deg)}
}